import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_BASE_API

// 查询工段内部人周转表列表
export function listInnerTurnover(query) {
  return request({
    url: baseUrl +'/business/innerTurnover/list',
    method: 'get',
    params: query
  })
}

// 查询工段内部人周转表详细
export function getInnerTurnover(id) {
  return request({
    url:baseUrl + '/business/innerTurnover/' + id,
    method: 'get'
  })
}

// 新增工段内部人周转表
export function addInnerTurnover(data) {
  return request({
    url:baseUrl + '/business/innerTurnover',
    method: 'post',
    data: data
  })
}

// 修改工段内部人周转表
export function updateInnerTurnover(data) {
  return request({
    url: '/business/innerTurnover',
    method: 'put',
    data: data
  })
}

// 删除工段内部人周转表
export function delInnerTurnover(id) {
  return request({
    url:baseUrl + '/business/innerTurnover/' + id,
    method: 'delete'
  })
}
